From bbf786807645a8ed4cbd351d6bba78e0b2912698 Mon Sep 17 00:00:00 2001
From: Gabriele Musco <gabmus@disroot.org>
Date: Sat, 2 Dec 2023 11:20:07 +0100
Subject: [PATCH 45/54] chore: rename libadwaita feature to adw

---
 Makefile                                      |  4 +--
 lact-gui/Cargo.toml                           |  2 +-
 lact-gui/src/app/dialogs.rs                   |  6 ++--
 lact-gui/src/app/headerbar.rs                 |  8 ++---
 lact-gui/src/app/mod.rs                       | 34 +++++++++----------
 .../vulkan_info/feature_window/mod.rs         | 19 +++++------
 .../root_stack/info_page/vulkan_info/mod.rs   |  6 ++--
 lact-gui/src/app/root_stack/mod.rs            | 26 +++++++-------
 .../app/root_stack/oc_page/clocks_frame.rs    | 14 ++++----
 .../root_stack/oc_page/gpu_stats_section.rs   |  7 ++--
 lact-gui/src/app/root_stack/oc_page/mod.rs    |  4 +--
 .../root_stack/oc_page/performance_frame.rs   | 28 +++++++--------
 .../root_stack/oc_page/power_cap_section.rs   |  7 ++--
 .../thermals_page/fan_curve_frame/mod.rs      |  8 ++---
 .../src/app/root_stack/thermals_page/mod.rs   |  6 ++--
 lact-gui/src/lib.rs                           |  4 +--
 .../{lact-libadwaita => lact-adw}/recipe.yml  |  4 +--
 17 files changed, 89 insertions(+), 98 deletions(-)
 rename pkg/recipes/{lact-libadwaita => lact-adw}/recipe.yml (89%)

diff --git a/Makefile b/Makefile
index 504e30e2..3b6c2b91 100644
--- a/Makefile
+++ b/Makefile
@@ -5,8 +5,8 @@ PREFIX ?= /usr/local
 build-release:
 	cargo build --release
 
-build-libadwaita-release:
-	cargo build --release --features libadwaita
+build-adw-release:
+	cargo build --release --features adw
 
 install:
 	install -Dm755 target/release/lact $(DESTDIR)$(PREFIX)/bin/lact
diff --git a/lact-gui/Cargo.toml b/lact-gui/Cargo.toml
index 95abeceb..c7b89758 100644
--- a/lact-gui/Cargo.toml
+++ b/lact-gui/Cargo.toml
@@ -7,7 +7,7 @@ edition = "2021"
 [features]
 default = ["gtk-tests"]
 gtk-tests = []
-libadwaita = ["dep:adw"]
+adw = ["dep:adw"]
 
 [dependencies]
 lact-client = { path = "../lact-client" }
diff --git a/lact-gui/src/app/dialogs.rs b/lact-gui/src/app/dialogs.rs
index 5c734874..51034d3f 100644
--- a/lact-gui/src/app/dialogs.rs
+++ b/lact-gui/src/app/dialogs.rs
@@ -1,10 +1,10 @@
 use gtk::prelude::*;
 use tracing::warn;
 
-#[cfg(feature = "libadwaita")]
+#[cfg(feature = "adw")]
 use adw::prelude::MessageDialogExt;
 
-#[cfg(feature = "libadwaita")]
+#[cfg(feature = "adw")]
 #[macro_export]
 macro_rules! info_dialog {
     ($parent:expr, $heading:expr, $body:expr, $response_id:expr, $response_txt:expr) => {{
@@ -23,7 +23,7 @@ macro_rules! info_dialog {
     }};
 }
 
-#[cfg(not(feature = "libadwaita"))]
+#[cfg(not(feature = "adw"))]
 #[macro_export]
 macro_rules! info_dialog {
     ($parent:expr, $heading:expr, $body:expr, $response_id:expr, $response_txt:expr) => {{
diff --git a/lact-gui/src/app/headerbar.rs b/lact-gui/src/app/headerbar.rs
index 839da3d6..64d21099 100644
--- a/lact-gui/src/app/headerbar.rs
+++ b/lact-gui/src/app/headerbar.rs
@@ -2,10 +2,10 @@ use super::{apply_box::ApplyBox, gpu_selector::GpuSelector};
 
 #[derive(Debug, Clone)]
 pub struct Headerbar {
-    #[cfg(feature = "libadwaita")]
+    #[cfg(feature = "adw")]
     pub container: adw::HeaderBar,
 
-    #[cfg(not(feature = "libadwaita"))]
+    #[cfg(not(feature = "adw"))]
     pub container: gtk::HeaderBar,
 
     pub gpu_selector: GpuSelector,
@@ -14,10 +14,10 @@ pub struct Headerbar {
 
 impl Headerbar {
     pub fn new() -> Self {
-        #[cfg(feature = "libadwaita")]
+        #[cfg(feature = "adw")]
         let container = adw::HeaderBar::builder().show_title(false).build();
 
-        #[cfg(not(feature = "libadwaita"))]
+        #[cfg(not(feature = "adw"))]
         let container = gtk::HeaderBar::builder()
             .title_widget(&gtk::Label::new(None))
             .build();
diff --git a/lact-gui/src/app/mod.rs b/lact-gui/src/app/mod.rs
index 52513969..7fda96e2 100644
--- a/lact-gui/src/app/mod.rs
+++ b/lact-gui/src/app/mod.rs
@@ -26,7 +26,7 @@ use std::sync::atomic::AtomicBool;
 use std::time::Duration;
 use tracing::{debug, error, trace, warn};
 
-#[cfg(feature = "libadwaita")]
+#[cfg(feature = "adw")]
 use adw::prelude::{AdwApplicationWindowExt, MessageDialogExt};
 
 // In ms
@@ -34,14 +34,14 @@ const STATS_POLL_INTERVAL: u64 = 250;
 
 #[derive(Clone)]
 pub struct App {
-    #[cfg(feature = "libadwaita")]
+    #[cfg(feature = "adw")]
     application: adw::Application,
-    #[cfg(feature = "libadwaita")]
+    #[cfg(feature = "adw")]
     pub window: adw::ApplicationWindow,
 
-    #[cfg(not(feature = "libadwaita"))]
+    #[cfg(not(feature = "adw"))]
     application: Application,
-    #[cfg(not(feature = "libadwaita"))]
+    #[cfg(not(feature = "adw"))]
     pub window: ApplicationWindow,
 
     pub gpu_selector: GpuSelector,
@@ -52,13 +52,13 @@ pub struct App {
 
 impl App {
     pub fn new(daemon_client: DaemonClient) -> Self {
-        #[cfg(feature = "libadwaita")]
+        #[cfg(feature = "adw")]
         let application = adw::Application::new(Some(APP_ID), ApplicationFlags::default());
 
-        #[cfg(not(feature = "libadwaita"))]
+        #[cfg(not(feature = "adw"))]
         let application = Application::new(Some(APP_ID), ApplicationFlags::default());
 
-        #[cfg(feature = "libadwaita")]
+        #[cfg(feature = "adw")]
         let window = adw::ApplicationWindow::builder()
             .title("LACT")
             .default_width(820)
@@ -68,7 +68,7 @@ impl App {
             .icon_name(APP_ID)
             .build();
 
-        #[cfg(not(feature = "libadwaita"))]
+        #[cfg(not(feature = "adw"))]
         let window = ApplicationWindow::builder()
             .title("LACT")
             .default_width(820)
@@ -92,7 +92,7 @@ impl App {
 
         let headerbar = Headerbar::new();
 
-        #[cfg(feature = "libadwaita")]
+        #[cfg(feature = "adw")]
         {
             let root_view = adw::ToolbarView::new();
             root_view.add_top_bar(&headerbar.container);
@@ -106,7 +106,7 @@ impl App {
             window.set_content(Some(&root_view));
         }
 
-        #[cfg(not(feature = "libadwaita"))]
+        #[cfg(not(feature = "adw"))]
         {
             let root_view = Box::builder().orientation(Orientation::Vertical).build();
             root_view.append(&root_stack.container);
@@ -245,10 +245,10 @@ impl App {
                         "close",
                         "_Close");
 
-                    #[cfg(feature = "libadwaita")]
+                    #[cfg(feature = "adw")]
                     diag.set_extra_child(Some(&hbox));
 
-                    #[cfg(not(feature = "libadwaita"))]
+                    #[cfg(not(feature = "adw"))]
                     {
                         hbox.set_margin_start(12);
                         hbox.set_margin_end(12);
@@ -525,7 +525,7 @@ impl App {
         Ok(())
     }
 
-    #[cfg(feature = "libadwaita")]
+    #[cfg(feature = "adw")]
     fn enable_overclocking(&self) {
         let text = format!("This will enable the overdrive feature of the amdgpu driver by creating a file at <b>{MODULE_CONF_PATH}</b>");
         let dialog = adw::MessageDialog::builder()
@@ -570,7 +570,7 @@ impl App {
         dialog.present();
     }
 
-    #[cfg(not(feature = "libadwaita"))]
+    #[cfg(not(feature = "adw"))]
     fn enable_overclocking(&self) {
         let text = format!("This will enable the overdrive feature of the amdgpu driver by creating a file at <b>{MODULE_CONF_PATH}</b>. Are you sure you want to do this?");
         let dialog = MessageDialog::builder()
@@ -605,7 +605,7 @@ impl App {
         }));
     }
 
-    #[cfg(feature = "libadwaita")]
+    #[cfg(feature = "adw")]
     fn ask_confirmation(&self, gpu_id: String, mut delay: u64) {
         let text = confirmation_text(delay);
         let dialog = adw::MessageDialog::builder()
@@ -668,7 +668,7 @@ impl App {
         dialog.present();
     }
 
-    #[cfg(not(feature = "libadwaita"))]
+    #[cfg(not(feature = "adw"))]
     fn ask_confirmation(&self, gpu_id: String, mut delay: u64) {
         let text = confirmation_text(delay);
         let dialog = MessageDialog::builder()
diff --git a/lact-gui/src/app/root_stack/info_page/vulkan_info/feature_window/mod.rs b/lact-gui/src/app/root_stack/info_page/vulkan_info/feature_window/mod.rs
index 5329888c..3ea707a6 100644
--- a/lact-gui/src/app/root_stack/info_page/vulkan_info/feature_window/mod.rs
+++ b/lact-gui/src/app/root_stack/info_page/vulkan_info/feature_window/mod.rs
@@ -4,14 +4,14 @@ mod row;
 use glib::Object;
 use gtk::{gio, glib};
 
-#[cfg(feature = "libadwaita")]
+#[cfg(feature = "adw")]
 glib::wrapper! {
     pub struct VulkanFeaturesWindow(ObjectSubclass<imp::VulkanFeaturesWindow>)
         @extends gtk::Box, gtk::Widget, gtk::Window, adw::Window,
         @implements gtk::Orientable, gtk::Accessible, gtk::Buildable;
 }
 
-#[cfg(not(feature = "libadwaita"))]
+#[cfg(not(feature = "adw"))]
 glib::wrapper! {
     pub struct VulkanFeaturesWindow(ObjectSubclass<imp::VulkanFeaturesWindow>)
         @extends gtk::Box, gtk::Widget, gtk::Window,
@@ -43,17 +43,14 @@ mod imp {
     };
     use std::cell::RefCell;
 
-    #[cfg(feature = "libadwaita")]
+    #[cfg(feature = "adw")]
     use adw::subclass::window::AdwWindowImpl;
 
     #[derive(CompositeTemplate, Properties, Default)]
     #[properties(wrapper_type = super::VulkanFeaturesWindow)]
+    #[cfg_attr(feature = "adw", template(file = "ui/vulkan_features_window.blp"))]
     #[cfg_attr(
-        feature = "libadwaita",
-        template(file = "ui/vulkan_features_window.blp")
-    )]
-    #[cfg_attr(
-        not(feature = "libadwaita"),
+        not(feature = "adw"),
         template(file = "ui/vulkan_features_window_gtk.blp")
     )]
     pub struct VulkanFeaturesWindow {
@@ -76,10 +73,10 @@ mod imp {
         const NAME: &'static str = "VulkanFeaturesWindow";
         type Type = super::VulkanFeaturesWindow;
 
-        #[cfg(feature = "libadwaita")]
+        #[cfg(feature = "adw")]
         type ParentType = adw::Window;
 
-        #[cfg(not(feature = "libadwaita"))]
+        #[cfg(not(feature = "adw"))]
         type ParentType = gtk::Window;
 
         fn class_init(class: &mut Self::Class) {
@@ -140,7 +137,7 @@ mod imp {
     impl WidgetImpl for VulkanFeaturesWindow {}
     impl WindowImpl for VulkanFeaturesWindow {}
 
-    #[cfg(feature = "libadwaita")]
+    #[cfg(feature = "adw")]
     impl AdwWindowImpl for VulkanFeaturesWindow {}
 
     impl ApplicationWindowImpl for VulkanFeaturesWindow {}
diff --git a/lact-gui/src/app/root_stack/info_page/vulkan_info/mod.rs b/lact-gui/src/app/root_stack/info_page/vulkan_info/mod.rs
index e378b4c1..997a28a1 100644
--- a/lact-gui/src/app/root_stack/info_page/vulkan_info/mod.rs
+++ b/lact-gui/src/app/root_stack/info_page/vulkan_info/mod.rs
@@ -9,7 +9,7 @@ use gtk::*;
 use lact_client::schema::VulkanInfo;
 use tracing::trace;
 
-#[cfg(feature = "libadwaita")]
+#[cfg(feature = "adw")]
 use adw::prelude::ActionRowExt;
 
 #[derive(Debug, Clone)]
@@ -43,7 +43,7 @@ impl VulkanInfoFrame {
         container.append(&driver_name_row.container);
         container.append(&driver_version_row.container);
 
-        #[cfg(feature = "libadwaita")]
+        #[cfg(feature = "adw")]
         {
             let features_row = adw::ActionRow::builder()
                 .activatable(true)
@@ -66,7 +66,7 @@ impl VulkanInfoFrame {
             container.append(&extensions_row);
         }
 
-        #[cfg(not(feature = "libadwaita"))]
+        #[cfg(not(feature = "adw"))]
         {
             let features_btn = Button::builder().label("View").build();
             features_btn.connect_clicked(clone!(@strong features_model => move |_| {
diff --git a/lact-gui/src/app/root_stack/mod.rs b/lact-gui/src/app/root_stack/mod.rs
index 69b4c429..0c0333fe 100644
--- a/lact-gui/src/app/root_stack/mod.rs
+++ b/lact-gui/src/app/root_stack/mod.rs
@@ -12,14 +12,14 @@ use thermals_page::ThermalsPage;
 use traits::BoxExt;
 use traits::WidgetExt;
 
-#[cfg(feature = "libadwaita")]
+#[cfg(feature = "adw")]
 use adw::prelude::ActionRowExt;
 
 #[derive(Debug, Clone)]
 pub struct RootStack {
-    #[cfg(feature = "libadwaita")]
+    #[cfg(feature = "adw")]
     pub container: adw::ViewStack,
-    #[cfg(not(feature = "libadwaita"))]
+    #[cfg(not(feature = "adw"))]
     pub container: Stack,
 
     pub info_page: InformationPage,
@@ -33,12 +33,12 @@ impl RootStack {
         system_info: SystemInfo,
         embedded_daemon: bool,
     ) -> Self {
-        #[cfg(feature = "libadwaita")]
+        #[cfg(feature = "adw")]
         let container = adw::ViewStack::builder()
             .vexpand(true)
             .hexpand(true)
             .build();
-        #[cfg(not(feature = "libadwaita"))]
+        #[cfg(not(feature = "adw"))]
         let container = Stack::builder().vexpand(true).hexpand(true).build();
 
         let info_page = InformationPage::new();
@@ -46,7 +46,7 @@ impl RootStack {
         let thermals_page = ThermalsPage::new(root_win);
         let software_page = software_page(system_info, embedded_daemon);
 
-        #[cfg(feature = "libadwaita")]
+        #[cfg(feature = "adw")]
         {
             container.add_titled_with_icon(
                 &info_page.container,
@@ -74,7 +74,7 @@ impl RootStack {
             );
         }
 
-        #[cfg(not(feature = "libadwaita"))]
+        #[cfg(not(feature = "adw"))]
         {
             container.add_titled(&info_page.container, Some("info_page"), "Information");
             container.add_titled(&oc_page.container, Some("oc_page"), "Overclock");
@@ -93,10 +93,10 @@ impl RootStack {
 
 #[derive(Debug, Clone)]
 pub struct LabelRow {
-    #[cfg(feature = "libadwaita")]
+    #[cfg(feature = "adw")]
     pub container: adw::ActionRow,
 
-    #[cfg(not(feature = "libadwaita"))]
+    #[cfg(not(feature = "adw"))]
     pub container: ListBoxRow,
 
     content_label: Label,
@@ -131,7 +131,7 @@ impl LabelRow {
     }
 }
 
-#[cfg(feature = "libadwaita")]
+#[cfg(feature = "adw")]
 pub fn list_clamp(child: &impl IsA<Widget>) -> adw::Clamp {
     adw::Clamp::builder()
         .maximum_size(600)
@@ -144,7 +144,7 @@ pub fn list_clamp(child: &impl IsA<Widget>) -> adw::Clamp {
         .build()
 }
 
-#[cfg(not(feature = "libadwaita"))]
+#[cfg(not(feature = "adw"))]
 pub fn list_clamp(child: &impl IsA<Widget>) -> Box {
     let container = Box::builder()
         .margin_top(24)
@@ -159,7 +159,7 @@ pub fn list_clamp(child: &impl IsA<Widget>) -> Box {
     container
 }
 
-#[cfg(feature = "libadwaita")]
+#[cfg(feature = "adw")]
 pub fn action_row(
     title: &str,
     subtitle: Option<&str>,
@@ -184,7 +184,7 @@ pub fn action_row(
     ar
 }
 
-#[cfg(not(feature = "libadwaita"))]
+#[cfg(not(feature = "adw"))]
 pub fn action_row(
     title: &str,
     subtitle: Option<&str>,
diff --git a/lact-gui/src/app/root_stack/oc_page/clocks_frame.rs b/lact-gui/src/app/root_stack/oc_page/clocks_frame.rs
index 7c1f176c..44909bea 100644
--- a/lact-gui/src/app/root_stack/oc_page/clocks_frame.rs
+++ b/lact-gui/src/app/root_stack/oc_page/clocks_frame.rs
@@ -18,10 +18,10 @@ pub struct ClocksFrame {
     max_values_box: Box,
     heading_listbox: ListBox,
 
-    #[cfg(feature = "libadwaita")]
+    #[cfg(feature = "adw")]
     advanced_switch_row: adw::SwitchRow,
 
-    #[cfg(not(feature = "libadwaita"))]
+    #[cfg(not(feature = "adw"))]
     advanced_switch_row: Switch,
 
     min_values_box: Box,
@@ -53,7 +53,7 @@ impl ClocksFrame {
 
         heading_listbox.append(&warning_row);
 
-        #[cfg(feature = "libadwaita")]
+        #[cfg(feature = "adw")]
         let advanced_switch_row = {
             let row = adw::SwitchRow::builder()
                 .title("Advanced mode")
@@ -63,7 +63,7 @@ impl ClocksFrame {
             row
         };
 
-        #[cfg(not(feature = "libadwaita"))]
+        #[cfg(not(feature = "adw"))]
         let advanced_switch_row = {
             let switch = Switch::builder().active(false).build();
             let row = action_row("Advanced mode", None, &[&switch], None);
@@ -390,15 +390,15 @@ fn extract_value_and_range(
 fn oc_adjustment(title: &'static str, listbox: &ListBox) -> (Adjustment, Rc<AtomicBool>) {
     let adjustment = Adjustment::new(0.0, 0.0, 0.0, 1.0, 10.0, 0.0);
 
-    #[cfg(feature = "libadwaita")]
+    #[cfg(feature = "adw")]
     let value_selector = adw::SpinRow::builder()
         .title(title)
         .adjustment(&adjustment)
         .build();
-    #[cfg(feature = "libadwaita")]
+    #[cfg(feature = "adw")]
     listbox.append(&value_selector);
 
-    #[cfg(not(feature = "libadwaita"))]
+    #[cfg(not(feature = "adw"))]
     let value_selector = {
         let spin_btn = SpinButton::builder()
             .adjustment(&adjustment)
diff --git a/lact-gui/src/app/root_stack/oc_page/gpu_stats_section.rs b/lact-gui/src/app/root_stack/oc_page/gpu_stats_section.rs
index 2bbadee6..acffc5a8 100644
--- a/lact-gui/src/app/root_stack/oc_page/gpu_stats_section.rs
+++ b/lact-gui/src/app/root_stack/oc_page/gpu_stats_section.rs
@@ -84,12 +84,9 @@ mod imp {
 
     #[derive(CompositeTemplate, Default, Properties)]
     #[properties(wrapper_type = super::GpuStatsSection)]
+    #[cfg_attr(feature = "adw", template(file = "ui/oc_page/gpu_stats_section.blp"))]
     #[cfg_attr(
-        feature = "libadwaita",
-        template(file = "ui/oc_page/gpu_stats_section.blp")
-    )]
-    #[cfg_attr(
-        not(feature = "libadwaita"),
+        not(feature = "adw"),
         template(file = "ui/oc_page/gpu_stats_section_gtk.blp")
     )]
     pub struct GpuStatsSection {
diff --git a/lact-gui/src/app/root_stack/oc_page/mod.rs b/lact-gui/src/app/root_stack/oc_page/mod.rs
index a9c314b0..9c3f4728 100644
--- a/lact-gui/src/app/root_stack/oc_page/mod.rs
+++ b/lact-gui/src/app/root_stack/oc_page/mod.rs
@@ -50,7 +50,7 @@ impl OcPage {
             let (warning_frame, button) = oc_warning_frame();
             enable_overclocking_button = Some(button);
 
-            #[cfg(feature = "libadwaita")]
+            #[cfg(feature = "adw")]
             vbox.append(
                 &adw::Bin::builder()
                     .css_classes(["card"])
@@ -58,7 +58,7 @@ impl OcPage {
                     .build(),
             );
 
-            #[cfg(not(feature = "libadwaita"))]
+            #[cfg(not(feature = "adw"))]
             vbox.append(&Frame::builder().child(&warning_frame).build());
         }
 
diff --git a/lact-gui/src/app/root_stack/oc_page/performance_frame.rs b/lact-gui/src/app/root_stack/oc_page/performance_frame.rs
index 5dbf54c9..f8dfd075 100644
--- a/lact-gui/src/app/root_stack/oc_page/performance_frame.rs
+++ b/lact-gui/src/app/root_stack/oc_page/performance_frame.rs
@@ -7,23 +7,23 @@ use lact_client::schema::amdgpu_sysfs::gpu_handle::{
 };
 use std::{cell::RefCell, rc::Rc, str::FromStr};
 
-#[cfg(feature = "libadwaita")]
+#[cfg(feature = "adw")]
 use adw::prelude::{ActionRowExt, ComboRowExt};
 
 #[derive(Debug, Clone)]
 pub struct PerformanceFrame {
     pub container: PageSection,
 
-    #[cfg(feature = "libadwaita")]
+    #[cfg(feature = "adw")]
     level_row: adw::ComboRow,
-    #[cfg(feature = "libadwaita")]
+    #[cfg(feature = "adw")]
     mode_row: adw::ComboRow,
 
-    #[cfg(not(feature = "libadwaita"))]
+    #[cfg(not(feature = "adw"))]
     level_row: DropDown,
-    #[cfg(not(feature = "libadwaita"))]
+    #[cfg(not(feature = "adw"))]
     level_subtitle: Label,
-    #[cfg(not(feature = "libadwaita"))]
+    #[cfg(not(feature = "adw"))]
     mode_row: DropDown,
 
     modes_table: Rc<RefCell<Option<PowerProfileModesTable>>>,
@@ -42,7 +42,7 @@ impl PerformanceFrame {
             .into_iter()
             .collect();
 
-        #[cfg(feature = "libadwaita")]
+        #[cfg(feature = "adw")]
         let level_row = {
             let row = adw::ComboRow::builder()
                 .model(&levels_model)
@@ -55,9 +55,9 @@ impl PerformanceFrame {
             row
         };
 
-        #[cfg(not(feature = "libadwaita"))]
+        #[cfg(not(feature = "adw"))]
         let level_subtitle;
-        #[cfg(not(feature = "libadwaita"))]
+        #[cfg(not(feature = "adw"))]
         let level_row = {
             let dropdown = DropDown::builder()
                 .model(&levels_model)
@@ -82,7 +82,7 @@ impl PerformanceFrame {
 
         let filler_model: StringList = [""].into_iter().collect();
 
-        #[cfg(feature = "libadwaita")]
+        #[cfg(feature = "adw")]
         let mode_row = {
             let row = adw::ComboRow::builder()
                 .model(&filler_model)
@@ -95,7 +95,7 @@ impl PerformanceFrame {
             row
         };
 
-        #[cfg(not(feature = "libadwaita"))]
+        #[cfg(not(feature = "adw"))]
         let mode_row = {
             let dropdown = DropDown::builder()
                 .model(&filler_model)
@@ -117,7 +117,7 @@ impl PerformanceFrame {
         let frame = Self {
             container,
             level_row,
-            #[cfg(not(feature = "libadwaita"))]
+            #[cfg(not(feature = "adw"))]
             level_subtitle,
             mode_row,
             modes_table: Rc::new(RefCell::new(None)),
@@ -219,10 +219,10 @@ impl PerformanceFrame {
             _ => unreachable!(),
         };
 
-        #[cfg(feature = "libadwaita")]
+        #[cfg(feature = "adw")]
         self.level_row.set_subtitle(subtitle);
 
-        #[cfg(not(feature = "libadwaita"))]
+        #[cfg(not(feature = "adw"))]
         self.level_subtitle.set_text(subtitle);
 
         self.mode_row.set_sensitive(enable_mode_control);
diff --git a/lact-gui/src/app/root_stack/oc_page/power_cap_section.rs b/lact-gui/src/app/root_stack/oc_page/power_cap_section.rs
index c87d2bd2..184ec792 100644
--- a/lact-gui/src/app/root_stack/oc_page/power_cap_section.rs
+++ b/lact-gui/src/app/root_stack/oc_page/power_cap_section.rs
@@ -43,12 +43,9 @@ mod imp {
 
     #[derive(CompositeTemplate, Default, Properties)]
     #[properties(wrapper_type = super::PowerCapSection)]
+    #[cfg_attr(feature = "adw", template(file = "ui/oc_page/power_cap_section.blp"))]
     #[cfg_attr(
-        feature = "libadwaita",
-        template(file = "ui/oc_page/power_cap_section.blp")
-    )]
-    #[cfg_attr(
-        not(feature = "libadwaita"),
+        not(feature = "adw"),
         template(file = "ui/oc_page/power_cap_section_gtk.blp")
     )]
     pub struct PowerCapSection {
diff --git a/lact-gui/src/app/root_stack/thermals_page/fan_curve_frame/mod.rs b/lact-gui/src/app/root_stack/thermals_page/fan_curve_frame/mod.rs
index a66e1675..0aca67a4 100644
--- a/lact-gui/src/app/root_stack/thermals_page/fan_curve_frame/mod.rs
+++ b/lact-gui/src/app/root_stack/thermals_page/fan_curve_frame/mod.rs
@@ -11,10 +11,10 @@ use std::rc::Rc;
 
 #[derive(Debug, Clone)]
 pub struct FanCurveFrame {
-    #[cfg(feature = "libadwaita")]
+    #[cfg(feature = "adw")]
     pub container: Box,
 
-    #[cfg(not(feature = "libadwaita"))]
+    #[cfg(not(feature = "adw"))]
     pub container: Frame,
 
     curve_container: ScrolledWindow,
@@ -82,10 +82,10 @@ impl FanCurveFrame {
         let points = Rc::new(RefCell::new(Vec::new()));
 
         let curve_frame = Self {
-            #[cfg(feature = "libadwaita")]
+            #[cfg(feature = "adw")]
             container: root_box,
 
-            #[cfg(not(feature = "libadwaita"))]
+            #[cfg(not(feature = "adw"))]
             container: Frame::builder()
                 .css_classes(["view"])
                 .child(&root_box)
diff --git a/lact-gui/src/app/root_stack/thermals_page/mod.rs b/lact-gui/src/app/root_stack/thermals_page/mod.rs
index f5e4c006..0e61c0ef 100644
--- a/lact-gui/src/app/root_stack/thermals_page/mod.rs
+++ b/lact-gui/src/app/root_stack/thermals_page/mod.rs
@@ -8,7 +8,7 @@ use gtk::prelude::*;
 use gtk::*;
 use lact_client::schema::{default_fan_curve, DeviceStats, FanControlMode, FanCurveMap};
 
-#[cfg(feature = "libadwaita")]
+#[cfg(feature = "adw")]
 use adw::prelude::*;
 
 #[derive(Debug)]
@@ -83,13 +83,13 @@ impl ThermalsPage {
 
         fan_control_mode_stack.add_titled(&fan_curve_frame.container, Some("curve"), "Curve");
 
-        #[cfg(feature = "libadwaita")]
+        #[cfg(feature = "adw")]
         let static_speed_container = adw::Bin::builder()
             .css_classes(["card"])
             .valign(Align::Start)
             .child(&fan_static_speed_frame)
             .build();
-        #[cfg(not(feature = "libadwaita"))]
+        #[cfg(not(feature = "adw"))]
         let static_speed_container = Frame::builder()
             .css_classes(["view"])
             .valign(Align::Start)
diff --git a/lact-gui/src/lib.rs b/lact-gui/src/lib.rs
index 8546b036..0fd52336 100644
--- a/lact-gui/src/lib.rs
+++ b/lact-gui/src/lib.rs
@@ -17,12 +17,12 @@ pub fn run(args: GuiArgs) -> anyhow::Result<()> {
         .context("Invalid log level")?;
     tracing_subscriber::fmt().with_env_filter(env_filter).init();
 
-    #[cfg(feature = "libadwaita")]
+    #[cfg(feature = "adw")]
     if let Err(err) = adw::init() {
         return Err(anyhow!("Cannot initialize Libadwaita: {err}"));
     }
 
-    #[cfg(not(feature = "libadwaita"))]
+    #[cfg(not(feature = "adw"))]
     if let Err(err) = gtk::init() {
         return Err(anyhow!("Cannot initialize GTK: {err}"));
     }
